cURL
curl --request POST "https://rxresu.me/api/openapi/resumes" --header "x-api-key: <api-key>" --header "Content-Type: application/json" --data '{
"name": "<string>",
"tags": [
"<string>"
]
}'import requests
url = "https://rxresu.me/api/openapi/resumes"
payload = {
"name": "<string>",
"tags": ["<string>"],
"autoName": True,
"slug": "<string>",
"withSampleData": False
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
tags: ['<string>'],
autoName: true,
slug: '<string>',
withSampleData: false
})
};
fetch('https://rxresu.me/api/openapi/resumes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/resumes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'tags' => [
'<string>'
],
'autoName' => true,
'slug' => '<string>',
'withSampleData' => false
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/resumes"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"autoName\": true,\n \"slug\": \"<string>\",\n \"withSampleData\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://rxresu.me/api/openapi/resumes")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"autoName\": true,\n \"slug\": \"<string>\",\n \"withSampleData\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/resumes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"autoName\": true,\n \"slug\": \"<string>\",\n \"withSampleData\": false\n}"
response = http.request(request)
puts response.read_body"<string>"{
"defined": true,
"code": "RESUME_SLUG_ALREADY_EXISTS",
"status": 400,
"message": "A resume with this slug already exists.",
"data": "<unknown>"
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Resumes
Create a new resume
Creates a new resume with the given name and tags. The slug (its public address) is optional: when omitted it is generated from the name (or is “resume” when autoName is set) and made unique across the user’s resumes, and it follows the resume’s name until the resume is published or given a slug; when given it must be unique too. Optionally initializes the resume with sample data by setting withSampleData to true, and starts it in a given template. Returns the ID of the newly created resume. Requires authentication.
POST
/
resumes
cURL
curl --request POST "https://rxresu.me/api/openapi/resumes" --header "x-api-key: <api-key>" --header "Content-Type: application/json" --data '{
"name": "<string>",
"tags": [
"<string>"
]
}'import requests
url = "https://rxresu.me/api/openapi/resumes"
payload = {
"name": "<string>",
"tags": ["<string>"],
"autoName": True,
"slug": "<string>",
"withSampleData": False
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
tags: ['<string>'],
autoName: true,
slug: '<string>',
withSampleData: false
})
};
fetch('https://rxresu.me/api/openapi/resumes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/resumes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'tags' => [
'<string>'
],
'autoName' => true,
'slug' => '<string>',
'withSampleData' => false
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/resumes"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"autoName\": true,\n \"slug\": \"<string>\",\n \"withSampleData\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://rxresu.me/api/openapi/resumes")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"autoName\": true,\n \"slug\": \"<string>\",\n \"withSampleData\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/resumes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"autoName\": true,\n \"slug\": \"<string>\",\n \"withSampleData\": false\n}"
response = http.request(request)
puts response.read_body"<string>"{
"defined": true,
"code": "RESUME_SLUG_ALREADY_EXISTS",
"status": 400,
"message": "A resume with this slug already exists.",
"data": "<unknown>"
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Authorizations
apiKeybearerAuthcookieAuth
Body
application/json
The resume language. Uses the interface language when omitted.
Available options:
af-ZA, am-ET, ar-SA, az-AZ, bg-BG, bn-BD, ca-ES, cs-CZ, da-DK, de-DE, el-GR, en-US, en-GB, es-ES, fa-IR, fi-FI, fr-FR, he-IL, hi-IN, hu-HU, hy-AM, id-ID, it-IT, ja-JP, km-KH, kn-IN, ko-KR, lt-LT, lv-LV, ml-IN, mr-IN, ms-MY, ne-NP, nl-NL, no-NO, or-IN, pl-PL, pt-BR, pt-PT, ro-RO, ru-RU, sk-SK, sl-SI, sq-AL, sr-SP, sv-SE, ta-IN, te-IN, th-TH, tr-TR, uk-UA, uz-UZ, vi-VN, zh-CN, zh-TW, zu-ZA Response
The ID of the newly created resume.
The ID of the created resume.